Create email
post
/api/v1/emails
Security
Parameters
| Name | In | Type | Details | |
|---|---|---|---|---|
Idempotency-Key |
header |
string
|
optional | Unique key for safe create retries (Make/Zapier/n8n). Replays the stored successful response for the same key + request body within 7 days. |
Request body required
application/json
Example
{
"contacts_id": 12,
"email": "max.mustermann@example.com",
"is_primary": true
}
Schema
{
"allOf": [
{
"type": "object",
"description": "Email fields for create/update (linked to a contact or partner).",
"required": [
"email"
],
"properties": {
"id": {
"type": "integer",
"description": "Existing email id (update only)"
},
"contact_email_types_id": {
"type": "integer"
},
"label": {
"type": "string"
},
"email": {
"type": "string",
"format": "email"
},
"is_primary": {
"type": "boolean"
},
"is_verified": {
"type": "boolean"
},
"is_active": {
"type": "boolean"
}
}
},
{
"type": "object",
"description": "Exactly one of contacts_id or partners_id is required.",
"properties": {
"contacts_id": {
"type": "integer"
},
"partners_id": {
"type": "integer"
}
}
}
]
}
Responses
201
Email created
application/json
{
"allOf": [
{
"title": "API envelope",
"type": "object",
"properties": {
"success": {
"type": "boolean"
},
"message": {
"type": "string",
"nullable": true
},
"errors": {
"nullable": true
},
"meta": {
"type": "object",
"nullable": true,
"additionalProperties": true
}
}
},
{
"type": "object",
"properties": {
"data": {
"title": "Email",
"type": "object",
"description": "Email in responses.",
"required": [
"email",
"is_primary"
],
"properties": {
"id": {
"type": "integer",
"nullable": true
},
"contacts_id": {
"type": "integer",
"nullable": true
},
"partners_id": {
"type": "integer",
"nullable": true
},
"label": {
"type": "string",
"nullable": true
},
"email": {
"type": "string",
"format": "email"
},
"is_primary": {
"type": "boolean"
}
}
}
}
}
]
}
401
Missing or invalid API key
application/json
{
"type": "object",
"properties": {
"success": {
"type": "boolean",
"example": false
},
"message": {
"type": "string",
"example": "Missing API key (X-Api-Key)"
}
}
}
404
Resource not found
application/json
{
"title": "API envelope",
"type": "object",
"properties": {
"success": {
"type": "boolean"
},
"message": {
"type": "string",
"nullable": true
},
"errors": {
"nullable": true
},
"meta": {
"type": "object",
"nullable": true,
"additionalProperties": true
}
}
}
422
Validation failed
application/json
{
"title": "API envelope",
"type": "object",
"properties": {
"success": {
"type": "boolean"
},
"message": {
"type": "string",
"nullable": true
},
"errors": {
"nullable": true
},
"meta": {
"type": "object",
"nullable": true,
"additionalProperties": true
}
}
}